Skala
Categories

Replace a category

Completely replaces the data of an existing category with the provided payload.

PUT
/api/categories/{id}

Completely replaces the data of an existing category with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Category identifier

Request Body

application/json

The updated Category resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/categories/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": 0,
  "name": "string",
  "parent": {},
  "children": [
    {}
  ],
  "lft": 0,
  "lvl": 0,
  "rgt": 0,
  "root": {},
  "isActive": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty